#
# spec file for package shared-mime-info (Version 0.60)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           shared-mime-info
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  libxml2-devel
Version:        0.60
Release:        1
Url:            http://freedesktop.org/wiki/Software/shared-mime-info
Group:          System/X11/Utilities
License:        GPL v2 or later
Summary:        Shared MIME Database
Source:         %{name}-%{version}.tar.bz2
Source1:        mime-info-to-mime
# needed by mime-info-to-mime:
Requires:       /bin/rm /bin/mkdir /usr/bin/fgrep
# needed by update-mime-database
PreReq:         libxml2 glib2
Provides:       %{name}-devel = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains: - The freedesktop.org shared MIME database
   spec.

- The merged GNOME and KDE databases, in the new format.

- The update-mime-database command, used to install new MIME data.



Authors:
--------
    Thomas Leonard <tal00r@ecs.soton.ac.uk>

%prep
%setup -q

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
install %{S:1} $RPM_BUILD_ROOT%{_bindir}/
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
usr/bin/update-mime-database usr/share/mime >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/pkgconfig/*.pc
%ghost %{_datadir}/mime/[a-ms-vxX]*
%{_mandir}/man?/*.*

%changelog
* Sun Feb 22 2009 vuntz@novell.com
- Update to version 0.60:
  + Mime-type Changes:
    - Add alias for SMIL
    - Fix SMIL detection
    - Add Annodex mime-type
    - Only use .ogg for audio Ogg files
    - Fix RDF mime-type
    - Oasis mime-type fixes
    - Make PICTURES match a picture CD but not "pictures"
    - Add alias for application/zip
    - Add Microsoft Document Imaging format
    - Add magic for 7z archives
    - Add cb7 comic book archives
    - Add magic for XCF files
    - Remove application/x-msi magic
    - Add audio/x-gsm mime-type
    - Add MS cab mime-type
    - Add FictionBook mime-type
    - Fix PKCS#12 bundles definition (not text files)
    - Add PKCS#7 and PkiPath mime-types
    - Add application/vnd.ms-wpl mime-type
    - Add more aliases for media types
    - Add alias for text/x-csv
    - Fix comment for Gnucash files
    - Make Javascript a sub-class of C
    - Add *.vapi as a glob for Vala files
    - Fix image/fits to match IANA
    - Add Office 2007/OpenXML documents mime-types
    - Add Pocket Word and AportisDoc document types
    - Fix MS ICO, and Photoshop image to match IANA
  + Other changes:
    - Regenerate the pot file when needed
    - Some clarifications in the spec
    - Build fix when srcdir != builddir
- Drop shared-mime-info-msi-no-magic.patch: fixed upstream.
- Remove perl-XML-Parser BuildRequires.
* Wed Oct 15 2008 sbrabec@suse.cz
- Prevent OLE containers to be recognized as Windows Installer
  package (bnc#430389, fdo#18072).
* Wed Aug 20 2008 sbrabec@suse.cz
- Updated to version 0.51:
  * many new MIME types recognized
  * improved magic
  * improved translatability
  * implemented tree content types, in the treemagic file
  * remove several useless MIME types
  * new algorighms in update-mime-database
  * for more see NEWS file
* Mon Jan 28 2008 sbrabec@suse.cz
- Added support for MOF files (#194558, Freedesktop#14278).
* Thu Dec 20 2007 jpr@suse.de
- Update to 0.23
  * Mime-type Changes:
- Add QTIF QuickTime image
- Add SDP stream description
- Add Vala source file
- Add Atom feed, OPML
- Add SAMI, MicroDVD, MPSub, SSA subtitles
- Add audio/x-m4b as a sub-class of audio/mp4
- Add *.aac as a suffix for MPEG-4 audio files
- Add Compressed Flash detection, add FutureSplash support
- Add *.asc as a suffix for PGP armoured keys
- Add application/msword as a sub-class of application/x-ole-storage
- Don't associate *.htm and *.html to Mozilla bookmarks
- Add more aliases for PowerPoint and Word mime-types
- Add *.vlc as a suffix for m3u files
- Better magic for Word and Office documents
- Split Windows Media Station playlists from ASX ones
- Fix up JPEG 2000 mime-types
  * Other:
- Add a testsuite in the CVS tree
- Remove shared-mime-info-ufraw.patch, it was completely upstreamed
* Tue Dec 18 2007 ro@suse.de
- fix filelist to silence rpm -V output
* Fri Aug 03 2007 maw@suse.de
- Update to version 0.22:
  * Mime-type Changes:
- Clean up the Netscape/Mozilla bookmarks mime-types
- Fix Powerpoint magic detection
- Add another magic matchlet to HTML
- Add magic detection for OpenOffice.org files
- Add MP2 audio, EMF mime-types
- Add more aliases for 3GPP videos
- Add magic detection to WMF
- Add more suffixes for WordPerfect documents
- Add mime-types for SIS/SISX archives
- Add x-epoc media type
- Add *.hxx as a suffix for C++ headers
- Add Erlang mime-type
- Add another Fortran magic detection
- Add Plucker mime-type
- Add winmail.dat files as TNEF files
- Add WMLScript mime-type
- Add JAD mime-type
- Add iRiver PLA playlist mime-type
- Add Nintendo DS ROM mime-type
- Add video/avi as an alias for AVI files
- Update Ogg mime-types to match Xiph's latest documents
  * Other:
- Improve Window compatibility
- Update the glib requirements
  shared-mime-info 0.21 (2007-04-18)
  * Mime-type Changes:
- Add *.m2t as a pattern for MPEG-2 files
- Add comments for the XMCD database and ARC mime-types
- Fix comments for Adobe FrameMaker documents
- Make application/m3u an alias for audio/x-mpegurl
- Make audio/x-mpeg an alias for audio/mpeg
- Add XPS to the mime-types
- Fix RealVideo documents mime-types
- Make application/x-shared-library-la a subclass of text/plain
- Add TNEF to the mime-types
- Add PAK archive to the mime-types
- Add PSF, miniPSF, PSFlib, and gzipped PSF fonts to the mime-types
- Add *.iso9660 as a pattern for ISO files
- Add PKCS#10 certification requests to the mime-types
- Add and correct loads of raw camera image types
- Add magic for OpenOffice.org file types
- Add KSysV init files to the mime-types
- Add DirectDraw surface files to the mime-types
- Add X11 cursor type to the mime-types
- Fix magic for RTSPtext metalinks
  * Other:
- Remove mention of ROX in the See Also section of the man page
- Respin shared-mime-info-ufraw.patch
* Fri Apr 06 2007 sbrabec@suse.cz
- Disabled system-wide running of mime-info-to-mime (#150398).
* Mon Feb 19 2007 sbrabec@suse.cz
- Updated to version 0.20:
  * Many new MIME types added (see NEWS for complete list).
  * Move *.ram files to application/ram
  * Use the preferred Matroska mime-types, includes Matroska audio
  * Detect Makefile with a shebang at the start
  * Make DIA a sub-class of application/xml
  * Clean up PGP/GnuPG file types
  * Avoid misdetecting Java files as C files
  * Merge the application/vnd.palm and application/x-palm-database
  mime-types
  * Make mbox as a sub-class of text/plain
  * Remove bogus magic for Targa files
  * Clean up XSLT mime-types depending on version
  * Move compressed SVG files to image/svg+xml-compressed
  * Move compressed pcf (font) detection to application/x-font-pcf
  * Fix CPIO description
  * Don't abort when update-mime-database can't open a file
  * Move the pkgconfig file to $(datadir)
  * Skip the translation of update-mime-database.c
  * Have a quiet output to update-mime-database by default
- Updated RAW patch from Freedesktop#8170.
* Mon Jan 08 2007 sbrabec@suse.cz
- Spec file cleanup.
* Wed Jan 03 2007 sbrabec@suse.cz
- Use /usr/share/mime-info in mime-info-to-mime.
* Tue Nov 14 2006 sbrabec@suse.cz
- Reduced BuildRequires.
* Mon Oct 30 2006 sbrabec@suse.cz
- Updated and fixed camera raw MIME types (freedesktop#8170).
* Thu Sep 14 2006 sbrabec@suse.cz
- Fixed camera raw MIME types (freedesktop#4117).
* Fri Sep 08 2006 sbrabec@suse.cz
- Updated to version 0.19:
  * Add *.qtl to video/quicktime
  * Add *.wax to audio/x-ms-asx
  * Add *.mpga to audio/mpeg
  * Add audio/x-ms-wma (Windows Media Audio)
  * Add application/xspf+xml (XSPF playlist)
  * Add a lot of subclassing information
  * Fix the RSS mime-types
  * Fix *.asx files' mime-type
  * Avoid audio/x-ms-asx files being detected as HTML
  * Avoid application/pdf files being detected as Matlab documents
  * Clarify C, C++, C# and ObjC mime-types
  * Add application/powerpoint and application/mspowerpoint as aliases for
  Powerpoint
  * Add VHDL mime-type
  * Add application/mbox for the MBOX mailboxes
  * Add text/x-txt2tags
  * Remove *.dat as a glob for MPEG videos
  * Add Monkey's Audio, AC3, and Musepack mime-types
  * Fix matching Type1 fonts
  * Remove useless application/octet-stream mime-type
  * Add *.mo to application/x-gettext-translation
  * Add loads of tracker audio files, console ROMs, raw images mime-types
  * Fix QuickTime Media Links mime-types and detection
  * Add audio/AMR and audio/AMR-WB mime-types and detection
  * Add better TeX magic, and more globs
  * Add better magic for patch files
  * Fix .jar files' mime-types, and add better magic
  * Fix magic for MPEG4 audio files
  * Add an alias for .deb packages
  * Add application/sieve mime-type
  * Fix application/javascript's mime-type
  * Fix text/csv's mime-type
  * Add paths to the .pc file
  * Translation update
- Removed from gnome-patch-translation project, all strings are
  upstreamed.
* Tue Apr 25 2006 sbrabec@suse.cz
- Fixed C* source code MIME type conflicts (#168763).
* Wed Mar 15 2006 sbrabec@suse.cz
- Updated to a 0.17 release.
- Use sub-class-of instead of alias for wma and wmv (156207#c10).
- Support for gnome-patch-translation.
* Thu Mar 09 2006 jpr@suse.de
- Update to cvs version to be more fine grained about wma, wmv, and
  ogg (#156210 and #156207)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 08 2005 sbrabec@suse.cz
- Directories /usr/share/mime and /usr/share/mime/packages are now
  owned by filesystem.
* Mon Sep 12 2005 clahey@suse.de
- Add docbook mime info entry (116605).
* Tue Mar 29 2005 sbrabec@suse.cz
- Fixed WMV files and typos.
  http://bugs.freedesktop.org/show_bug.cgi?id=2051
- Added missing Danish from CVS.
* Tue Mar 29 2005 sbrabec@suse.cz
- Updated to version 0.16.
* Mon Mar 21 2005 sbrabec@suse.cz
- Updated to CVS version (#72797).
* Mon Feb 21 2005 sbrabec@suse.cz
- Updated to version 0.15.
* Mon Oct 18 2004 ro@suse.de
- locale rename: no -> nb
* Mon Sep 20 2004 ro@suse.de
- added missing prereq for update-mime-database
  which is called in postinstall
* Thu Sep 09 2004 sbrabec@suse.cz
- Fixed execute flag for mime-info-to-mime.
* Tue Sep 07 2004 sbrabec@suse.cz
- Added script mime-info-to-mime for conversion of GNOME mime-info to
  shared-mime-info.
* Mon May 17 2004 sbrabec@suse.cz
- New SuSE package, version 0.14.
